﻿using System.Windows;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            PointCollection pointCollection = new PointCollection(6);

            pointCollection.Add(new Point(0  , 0  ));
            pointCollection.Add(new Point(200, 0  ));
            pointCollection.Add(new Point(300, 100));
            pointCollection.Add(new Point(300, 0  ));
            pointCollection.Add(new Point(400, 0  ));
            pointCollection.Add(new Point(600, 100));

            PolyBezierSegment polyBezierSegment = new PolyBezierSegment();

            polyBezierSegment.Points = pointCollection;

            PathSegmentCollection pathSegmentCollection = new PathSegmentCollection();

            pathSegmentCollection.Add(polyBezierSegment);

            PathFigure pathFigure = new PathFigure();

            pathFigure.StartPoint = new Point(10, 100);
            pathFigure.Segments   = pathSegmentCollection;

            PathFigureCollection pathFigureCollection = new PathFigureCollection();

            pathFigureCollection.Add(pathFigure);

            PathGeometry pathGeometry = new PathGeometry();

            pathGeometry.Figures = pathFigureCollection;

            this.path.Data = pathGeometry;
        }

        #endregion
    }
}